Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class BaseConfigurationXMLReader.SAXConverter

    java.lang.Object
      org.apache.commons.configuration.HierarchicalConfigurationConverter
          org.apache.commons.configuration.BaseConfigurationXMLReader.SAXConverter

Enclosing class:
  BaseConfigurationXMLReader

     class BaseConfigurationXMLReader.SAXConverter

extends HierarchicalConfigurationConverter

An internally used helper class to iterate over all configuration keys ant to generate corresponding SAX events.

Constructor Summary
`BaseConfigurationXMLReader.SAXConverter()`

Method Summary
`protected void` | `elementEnd(String name)` Callback for the end of an element.
`protected void` | `elementStart(String name, Object value)` Callback for the start of an element.

Methods inherited from class org.apache.commons.configuration.HierarchicalConfigurationConverter
`closeElements, fireValue, openElements, process, reverseIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseConfigurationXMLReader.SAXConverter

    BaseConfigurationXMLReader.SAXConverter()

Method Detail

### elementStart

    protected void elementStart(String name,
                                Object value)

  Callback for the start of an element.

  Specified by:
    `elementStart` in class `HierarchicalConfigurationConverter`
  Parameters:
    `name` - the element name
    `value` - the element value

### elementEnd

    protected void elementEnd(String name)

  Callback for the end of an element.

  Specified by:
    `elementEnd` in class `HierarchicalConfigurationConverter`
  Parameters:
    `name` - the element name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.